<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface towerwarspp.io.View (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface towerwarspp.io.View (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/io/class-use/View.html" target="_top">Frames</a></li>
<li><a href="View.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface towerwarspp.io.View" class="title">Uses of Interface<br>towerwarspp.io.View</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main.tournament">towerwarspp.main.tournament</a></td>
<td class="colLast">
<div class="block">The tournament package which implements the tournament modus.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a></span></code>
<div class="block">Interface <a href="../../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> which extends from <a href="../../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> and <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> that implement <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io">GraphicIO</a></span></code>
<div class="block">Class <a href="../../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> interacts with the User over a GUI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io">TextIO</a></span></code>
<div class="block">Class <a href="../../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a> interacting with to user over the command line.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> declared as <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#view">view</a></span></code>
<div class="block"><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object to visualize the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> and <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> with parameters of type <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#Game-towerwarspp.preset.Player-towerwarspp.preset.Player-int-towerwarspp.io.View-int-">Game</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
    <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
    int&nbsp;boardSize,
    <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
    int&nbsp;delayTime)</code>
<div class="block">Constructor setting <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a>, <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> and integer variables.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#Game-towerwarspp.preset.Player-towerwarspp.preset.Player-towerwarspp.io.View-boolean-int-towerwarspp.main.game.Save-">Game</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
    <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
    <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
    boolean&nbsp;debug,
    int&nbsp;delayTime,
    <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;saveGame)</code>
<div class="block">Constructor for loading games from an .aot-Save-File.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.tournament">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> in <a href="../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a> declared as <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></td>
<td class="colLast"><span class="typeNameLabel">Tournament.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#view">view</a></span></code>
<div class="block"><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> with</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a> with parameters of type <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#Tournament-towerwarspp.preset.Player:A-towerwarspp.io.View-boolean-int-int-int-int-">Tournament</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;players,
          <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
          boolean&nbsp;debug,
          int&nbsp;delayTime,
          int&nbsp;boardSize,
          int&nbsp;games,
          int&nbsp;timeOut)</code>
<div class="block">Constructor setting every parameter as given.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> declared as <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></td>
<td class="colLast"><span class="typeNameLabel">NetPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#view">view</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> with parameters of type <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#NetPlayer-towerwarspp.preset.Player-towerwarspp.io.View-">NetPlayer</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;player,
         <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/io/class-use/View.html" target="_top">Frames</a></li>
<li><a href="View.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
